#ifndef OCCVIEW_H
#define OCCVIEW_H

#include <OpenGl_GraphicDriver.hxx>
#undef Bool
#undef CursorShape
#include <QGLWidget>

#include <V3d_View.hxx>
#include <AIS_InteractiveContext.hxx>

class OCCView : public QGLWidget
{
public:
    OCCView(QWidget *parent = 0);

private:
    Handle(OpenGl_GraphicDriver) myGraphicDriver;
    Handle(V3d_View) myView;
    Handle(AIS_InteractiveContext) AISContext;

protected:
    virtual void paintEvent(QPaintEvent* e);
    virtual void resizeEvent(QResizeEvent* e);
};

#endif // OCCVIEW_H
